Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Utilities for the XFce Desktop Environment.
Name: 		xfce-utils
Version:	4.6.2
Release:	1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	ccux-start-xfce
Source2:	xfce.desktop
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: perl-XML-Parser
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
xfce-utils contains utilities for the XFce Desktop Environment.

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --enable-gdm
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%_bindir
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%_datadir/xsessions

%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xfce/xdg/autostart/xfconf-migration-4.6.desktop
%{_sysconfdir}/xfce/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/xfce/xdg/xfce4/xinitrc
%{_bindir}/ccux-start-xfce
%{_bindir}/startxfce4
%{_bindir}/xfbrowser4
%{_bindir}/xfce4-about
%{_bindir}/xfhelp4
%{_bindir}/xflock4
%{_bindir}/xfmountdev4
%{_bindir}/xfrun4
%{_bindir}/xfterm4
%{_libdir}exec/xfce4/xfconf-migration/xfconf-migration-4.6.pl
%{_datadir}/dbus-1/services/org.xfce.RunDialog.service
%{_datadir}/icons/hicolor/48x48/apps/xfce4-logo.png
%{_locale}/*/LC_MESSAGES/xfce-utils.mo
%{_datadir}/xfce4/doc/C/BSD.html
%{_datadir}/xfce4/doc/C/GPL.html
%{_datadir}/xfce4/doc/C/images/about-dialog.png
%{_datadir}/xfce4/doc/C/images/default-session.png
%{_datadir}/xfce4/doc/C/images/link_xfce.jpg
%{_datadir}/xfce4/doc/C/images/run-dialog.png
%{_datadir}/xfce4/doc/C/images/taskbar_settings.png
%{_datadir}/xfce4/doc/C/index.html
%{_datadir}/xfce4/doc/C/LGPL.html
%{_datadir}/xfce4/doc/C/xfce4-components.html
%{_datadir}/xfce4/doc/C/xfce4-copyright.html
%{_datadir}/xfce4/doc/C/xfce4-install.html
%{_datadir}/xfce4/doc/C/xfce4-intro.html
%{_datadir}/xfce4/doc/C/xfce4-use.html
%{_datadir}/xfce4/doc/C/xfce4-user-guide.html
%{_datadir}/xfce4/doc/C/xfce-utils.html
%{_datadir}/xfce4/doc/fr/index.html
%{_datadir}/xfce4/doc/it/index.html
%{_datadir}/xfce4/doc/xfce-chunk.css
%{_datadir}/xfce4/doc/xfce.css
%{_datadir}/xfce4/doc/xfce-mouse.png
%{_datadir}/xfce4/GPL
%{_datadir}/xfce4/INFO
%{_datadir}/xfce4/INFO.ca
%{_datadir}/xfce4/INFO.de
%{_datadir}/xfce4/INFO.es
%{_datadir}/xfce4/INFO.fi
%{_datadir}/xfce4/INFO.fr
%{_datadir}/xfce4/INFO.it
%{_datadir}/xfce4/INFO.ja
%{_datadir}/xfce4/INFO.ru
%{_datadir}/xfce4/INFO.uk
%{_datadir}/xfce4/INFO.vi
%{_datadir}/xfce4/LGPL
%{_datadir}/xsessions/xfce.desktop
%{_datadir}/xfce4/AUTHORS
%{_datadir}/xfce4/BSD
%{_datadir}/xfce4/COPYING

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-2
- clean gdm integration with own startup script
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-3
- Version Update RC2
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.3.99-2
- rebuilt against dbus 0.93
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
